<ion-header>
  <ion-navbar>
    <ion-title>
      Notes
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-fab bottom right>
    <button ion-fab color="primary" (click)="showAddModal()"><ion-icon name='add'></ion-icon></button>
  </ion-fab>
  <h1>Hello, {{ username }}!</h1>
  <ion-grid>
    <ion-row>
      <ion-col text-center>
        <!-- <p>No notes available.</p> -->
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-list>
    <ion-item-sliding #item *ngFor="let n of notes">
      <ion-item>
        <h2>{{ n.title }}</h2>
        <p>{{ n.author }}</p>
      </ion-item>
      <ion-item-options side='right'>
        <button ion-button color='secondary' (click)="showDetail(n)">
          <ion-icon name="search"></ion-icon>
          Details
        </button>
        <button ion-button color='danger' (click)="removeNote(n.title)">
          <ion-icon name="trash"></ion-icon>
          Delete
        </button>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</ion-content>
